Both the application and employment questionnaire are required. It is recommended that you use Google Chrome or Mozilla Firefox as your browser.